Identity, people & notifications
Search Employees For Payroll
Searches employee-seat roles by name, email or IDs (accent-folded fallback) within a payroll run country scope, flagging paid/terminated.
GEThttps://api.toku.com/hris/search-employees-for-payroll
Required scope: payroll:read
curl --request GET \
--url 'https://api.toku.com/hris/search-employees-for-payroll' \
--header 'Authorization: Bearer <token>'200 response
[
{
"roleInOrgID": "string",
"roleInOrgId": "string",
"givenName": "string",
"familyName": "string",
"email": "string",
"avatarUrl": "string",
"employeeId": "string",
"hrisPayslipID": "string",
"positionID": "string",
"orgID": "string",
"orgName": "string",
"inPayrollRun": true,
"isTerminated": true,
"person": {
"givenName": "string",
"familyName": "string",
"email": "string",
"avatarUrl": "string"
}
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
searchQuerystringDefault: ""
payrollRunIDstring<uuid>Response
200Successful response
roleInOrgIDstring | nullroleInOrgIdstring | nullgivenNamestring | nullfamilyNamestring | nullemailstring | nullavatarUrlstring | nullemployeeIdstring | nullhrisPayslipIDstring | nullpositionIDstring | nullorgIDstring | nullorgNamestring | nullinPayrollRunboolean | nullisTerminatedboolean | nullpersonobject | nullShow child attributes
givenNamestring | nullfamilyNamestring | nullemailstring | nullavatarUrlstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits